package com.persagy.apm.energy.report.monthly.detail.hotel.project.model.vo;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.DateGraphVO;
import com.persagy.apm.energy.report.monthly.detail.common.model.vo.HotelRankVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author lixing
 * @version V1.0 2021/6/7 2:12 下午
 **/
@EqualsAndHashCode(callSuper = true)
@Data
@ApiModel("酒店项目维护信息")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class HotelProjectMaintenanceInfo extends HotelRankVO {
    @ApiModelProperty(value = "变损率")
    private Double changeLossRate;
    @ApiModelProperty(value = "变损率标准值")
    private Double changeLossStandardValue;
    @ApiModelProperty(value = "总支不平衡率")
    private Double imbalanceRate;
    @ApiModelProperty(value = "总支不平衡率标准值")
    private Double imbalanceStandardValue;
    @ApiModelProperty(value = "数据断线次数")
    private Double breakCount;
    @ApiModelProperty(value = "数据中断时长")
    private Double breakLostTime;
    @ApiModelProperty(value = "图表信息")
    private List<DateGraphVO> graphs;
}
